Bug 131202 - missing package dependency: XFree86-devel
missing package dependency: XFree86-devel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openmotif (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-29 01:50 EDT by Ralf Corsepius
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-31 06:19:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2004-08-29 01:50:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
Missing package dependency: openmotif-devel does not require XFree86-devel


Version-Release number of selected component (if applicable):
openmotif-2.2.3-4.1

How reproducible:
Always

Steps to Reproduce:
Remove XFree-devel rsp. xorg-X11-devel from your system.
Then install openmotif-devel.

Installation will succeed, but openmotif-devel will be unusable.



Actual Results:  Installing openmotif-devel succeeds without having
XFree-devel rsp. x11-org-devel installed.


Expected Results:  Installing openmotif-devel to require XFree86-devel.
Note: XFree86 is a virtual package provided by xorg-x11-devel; 

Require: xorg-x11-devel would break backward compatibility of
rpm-specs to older RH/FC releases.


Additional info:

This missing package dependency requires all rpm specs of motif
applications to use
BuildRequires: XFree86-devel openmotif-devel

where otherwise
BuildRequires: openmotif-devel
would have been sufficient
Comment 1 Thomas Woerner 2004-08-31 06:19:09 EDT
Fixed in rawhide in rpm openmotif-2.2.3-4.3 or newer.

Note You need to log in before you can comment on or make changes to this bug.